Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class MultiplyOperator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BinaryOperator
          org.apache.taglibs.standard.lang.jstl.ArithmeticOperator
              org.apache.taglibs.standard.lang.jstl.MultiplyOperator

    public class MultiplyOperator

extends ArithmeticOperator

The implementation of the multiply operator

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Field Summary
`static MultiplyOperator` | `SINGLETON`

Constructor Summary
`MultiplyOperator()` Constructor

Method Summary
`double` | `apply(double pLeft, double pRight, Logger pLogger)` Applies the operator to the given double values, returning a double
`long` | `apply(long pLeft, long pRight, Logger pLogger)` Applies the operator to the given double values, returning a double
`String` | `getOperatorSymbol()` Returns the symbol representing the operator

Methods inherited from class org.apache.taglibs.standard.lang.jstl.ArithmeticOperator
`apply`

Methods inherited from class org.apache.taglibs.standard.lang.jstl.BinaryOperator
`shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final MultiplyOperator SINGLETON

Constructor Detail

### MultiplyOperator

    public MultiplyOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public String getOperatorSymbol()

  Returns the symbol representing the operator

  Specified by:
    `getOperatorSymbol` in class `BinaryOperator`

### apply

    public double apply(double pLeft,
                        double pRight,
                        Logger pLogger)

  Applies the operator to the given double values, returning a double

  Specified by:
    `apply` in class `ArithmeticOperator`

### apply

    public long apply(long pLeft,
                      long pRight,
                      Logger pLogger)

  Applies the operator to the given double values, returning a double

  Specified by:
    `apply` in class `ArithmeticOperator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.